# Poco::Net

# class QuotedPrintableEncoderBuf

Library: Net
Package: Messages
Header: Poco/Net/QuotedPrintableEncoder.h

## Description

This streambuf encodes all data written to it in quoted-printable encoding (see RFC 2045) and forwards it to a connected ostream.

## Inheritance

Direct Base Classes: Poco::UnbufferedStreamBuf

All Base Classes: Poco::UnbufferedStreamBuf

## Member Summary

Member Functions: close

## Constructors

### QuotedPrintableEncoderBuf

QuotedPrintableEncoderBuf(
std::ostream & ostr
);

## Destructor

### ~QuotedPrintableEncoderBuf

~QuotedPrintableEncoderBuf();

## Member Functions

### close

int close();